//         Initialisation néopixel led rgb

#include <Adafruit_NeoPixel.h>

# define PININ 12
# define PINOUT 8

 
Adafruit_NeoPixel strip = Adafruit_NeoPixel(60, PININ, NEO_RGB + NEO_KHZ800);

//Initialisation photorésistance

#define CAPTEUR A0

// #define LED 4
 
int luminosite = 0; 
int seuil = 100; 
 

void setup() {

  //pour les rgb
  strip.begin();
  strip.show(); // Initialize all pixels to 'off'

  //Initialisation de la liaison série 
  Serial.begin(9600);
 
  //Led en sortie
  pinMode(PININ, OUTPUT);

}


void loop() {

   //On récupère la valeur du seuil
  luminosite = analogRead(CAPTEUR);
  //Monitoring
  Serial.print("Luminosite = ");
  Serial.print(luminosite);
  
  //On récupère la valeur du seuil
  //seuil = analogRead(SEUIL);
  //Monitoring
  Serial.print(" / Seuil = ");
  Serial.print(seuil);
 
  //Allumage de la led si la luminosité est inférieur au seuil
  if(luminosite < seuil) {
    //digitalWrite(PININ, HIGH);
     strip.setPixelColor(0,0, 0,255);
     strip.show();
    //Monitoring
    Serial.println(" / LED ON");
    
  //Dans le cas contraire, on l'éteint
  } else {
    digitalWrite(PININ, LOW);
    strip.setPixelColor(0,0, 0,255);
    strip.show();
    Serial.println(" / LED OFF");
  }
 
  //Petite pause
  delay(20);
}

//strip.setBrightness(64);  PERMET DE REGLER LA LUMINOSITE

